
/* Copies files defined on command line to stdout
// Can be used to convert 'cview' to 'jane'.
*/

#include <stdio.h>
#include <stdlib.h>
#include <qdos.h>

void (*_consetup) (chanid_t, struct WINDOWDEF *) = NULL;
long (*_conread) () = NULL;
long (*_conwrite) () = NULL;
char _prog_name[] = "typer";
char *_endmsg = NULL;

int (*_cmdwildcard)(char *, char ***, int *) = cmdexpand;
        

void output(FILE *fp, char *s)
{
    while(fgets(s, 255, fp))
    {
        fputs(s, stdout);
    }
}

main(int ac, char **av)
{
    char *p;
    char *s;
    FILE *fp;

    p = malloc(256);
    s = malloc(256);

    if(p && s)
    {
        setvbuf (stdout, p, _IOLBF, 256);
        if(ac > 1)
        {
            
            while(++av,--ac)
            {
                if(fp = fopen(*av, "r"))
                {
                    output(fp, s);
                    fclose(fp);
                }
            }
        }
        else
            output(stdin, s);
    }
}



